Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1946278 - latest uboot fails to load the dtb
Summary: latest uboot fails to load the dtb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: 34
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: ARMTracker F34FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2021-04-05 16:38 UTC by Paul Whalen
Modified: 2021-05-07 01:02 UTC (History)
10 users (show)

Fixed In Version: uboot-tools-2021.04-2.fc34 uboot-tools-2021.04-3.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-22 14:53:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Whalen 2021-04-05 16:38:09 UTC
Description of problem:

When attempting to boot F34 with recent releases of Uboot, it fails to load the dtb. 
Output:

Failed to load '/dtb/bcm2711-rpi-4-b.dtb'


Version-Release number of selected component (if applicable):
uboot-tools-2021.04-0.5.rc3.fc34

How reproducible:
Everytime

Many supported systems still boot as expected using the firmware provided DTB but others will not boot at all.

Comment 1 Paul Whalen 2021-04-05 16:39:46 UTC
Proposing as a blocker for final, this will prevents some systems from booting at all.

Comment 2 Geoffrey Marr 2021-04-05 23:50:52 UTC
Discussed during the 2021-04-05 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker (Final)" was made as it violates the following criterion:

"All release-blocking images must boot in their supported configurations" for affected ARM systems.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2021-04-05/f34-blocker-review.2021-04-05-16.02.txt

Comment 3 Peter Robinson 2021-04-18 15:34:37 UTC
Think I've solved this, just doing some local verification to ensure my fix doesn't regress elsewhere

Comment 4 Fedora Update System 2021-04-19 16:42:26 UTC
FEDORA-2021-6b01add75e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6b01add75e

Comment 5 Fedora Update System 2021-04-20 22:25:11 UTC
FEDORA-2021-6b01add75e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6b01add75e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6b01add75e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-04-21 18:20:42 UTC
FEDORA-2021-6b01add75e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6b01add75e

Comment 7 Fedora Update System 2021-04-22 14:53:34 UTC
FEDORA-2021-6b01add75e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-04-29 08:08:08 UTC
FEDORA-2021-0c8d57297a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c8d57297a

Comment 9 Fedora Update System 2021-04-29 17:11:08 UTC
FEDORA-2021-0c8d57297a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c8d57297a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c8d57297a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-07 01:02:28 UTC
FEDORA-2021-0c8d57297a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.